Get attachments¶
GET/
Email Management API · Post-Delivery Quarantine
Get all attachments of a post-delivery quarantined message.
Parameters¶
| Name | In | Type | Required | Description |
|---|---|---|---|---|
X-Tenant-ID | header | string (uuid) | Yes | Tenant ID. |
id | path | string (uuid) | Yes | ID from 'X-Sophos-Email-ID' header. |
pageSize | query | integer | No | The size of the page requested. |
page | query | integer | No | The page number to fetch, starting with 1. |
Request samples¶
curl -X GET "https://api-<data-region>.central.sophos.com/email/v1/post-delivery-quarantine/messages/<id>/attachments" -H "Authorization: Bearer <access-token>" -H "X-Tenant-ID: <tenant-id>"
import requests
response = requests.get(
"https://api-<data-region>.central.sophos.com/email/v1/post-delivery-quarantine/messages/<id>/attachments",
headers={
"Authorization": "Bearer <access-token>",
"X-Tenant-ID": "<tenant-id>",
},
)
print(response.json())
$headers = @{
"Authorization" = "Bearer <access-token>"
"X-Tenant-ID" = "<tenant-id>"
}
Invoke-RestMethod -Method GET -Uri "https://api-<data-region>.central.sophos.com/email/v1/post-delivery-quarantine/messages/<id>/attachments" -Headers $headers
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api-<data-region>.central.sophos.com/email/v1/post-delivery-quarantine/messages/<id>/attachments", nil)
if err != nil {
panic(err)
}
req.Header.Set("Authorization", "Bearer <access-token>")
req.Header.Set("X-Tenant-ID", "<tenant-id>")
resp, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}
const response = await fetch("https://api-<data-region>.central.sophos.com/email/v1/post-delivery-quarantine/messages/<id>/attachments", {
method: "GET",
headers: {
"Authorization": "Bearer <access-token>",
"X-Tenant-ID": "<tenant-id>",
},
});
const data = await response.json();
console.log(data);
Responses¶
200 — Attachments in a post-delivery quarantined message.¶
Response fields
pagesobjectrequiredShow child attributesHide child attributes
currentintegerrequiredThe 1-based page number being returned.
sizeintegerrequiredThe size of the page being returned.
totalinteger(Optional) The total number of pages that exist, if pageTotal=true in the request.
itemsinteger(Optional) The total number of items across all pages.
maxSizeintegerrequiredThe maximum page size that can be requested.
itemsarray of objectrequiredAttachments.
Must contain at most 500 items.
Must contain at most 500 items.
Attachment details.
Show child attributesHide child attributes
namestringAttachment name.
sizeInBytesnumberAttachment size, in bytes.
Errors¶
| Status | Meaning |
|---|---|
400 | Bad request. |
404 | Not found. |
500 | Unexpected error. |
All error responses share the same shape — see the error response object.
See the guide for a narrative walkthrough of this API.